Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 20

Thread: 911. cannot enter game with installed app.

  1. #1
    Original Serf
    Join Date
    Mar 2014
    Posts
    12
    World
    Sandycove

    911. cannot enter game with installed app.

    Hello,

    I downloaded the game and installed it on my PC, but it always requires latest version adobe flash player plugin, which is on Chrome. flash player in my PC is latest version and I also have chrome, but it just not working. I am not PC expert, I don't understand the instruction. so, can someone please help here, show me what to do in detail?

    Thanks so much!!!!!
    Attached Images

  2. #2
    Aunt Irma’s Favourite Writer Durin_d's Avatar
    Join Date
    Mar 2012
    Location
    FIN
    Posts
    689
    World
    Northisle
    There's a thread about the flash plugin http://forum.thesettlersonline.com/t...-t-load-plugin

    CenturionSA wrote a detailed instruction what to do:

    Quote Originally Posted by CenturionSA View Post
    Well I got the slimbrowser to work, after much fiddling.
    I am amazed that BB cannot get the coding for this simple app to work.
    I uninstalled the slimbrowser, reinstalled BOTH adobe Flash Player and the Chrome plugin.
    Mistake #1. Even although the Slimbrowser has the option of using, the Chrome plugin, or Adobe Flash Player, Do NOT try the full Adobe Flash. Both Chrome and Slimbrowser us Pepper Flash.

    In case of an error message from Chrome/Flash Player plugin right after starting the application, you can manually fix the issue with the following steps:

    1. Exit the application / make sure the game is not running

    2. Go to game folder of 'Settlers Online' (normally C:\Users\<username>\AppData\Local\Ubisoft\Settlers Online)
    if you cannot see AppData folder you will have to go into the folder properties and show all hidden files and folders

    3. Create a sub-folder called "plugins"

    4. Copy the file "pepflashplayer.dll" from your Google Chrome into this new folder
    my copy of pepflashplayer.dll was in C:\Program Files (x86)\Google\Chrome\Application\47.0.2526.106
    ( Can also highlight C drive, and do a search for pepflash, then copy the search result, and paste the dll in your plugin folder)

    5. Edit the file "package.json" in your 'Settler Online' game folder and change the path to the plugin to: "plugins\\pepflashplayer.dll"
    right click file > open with and select your best text editor. (wordpad if you have none other but I suggest downloading Notepad++ its very good)
    Opening with notepad forces all the text onto 1 line and is a nightmare to understand.
    Do the same with package.json.default

    6. If there is no path: Please add the following to the list of "chromium-args": --ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=23.0.0.207

    Remember your PEPPERFLASH will probably have a different version number.

    You can find the location and version of it by looking in Chrome://plugins and then click the button top right + Details

    -------------------

    This is the CORRECT tags with CORRECT syntax.

    In case of an error message from Chrome/Flash Player plugin right after starting the application, you can manually fix the issue with the following steps:

    1. Exit the application / make sure the game is not running

    2. Go to game folder of 'Settlers Online' (normally C:\Users\<username>\AppData\Local\Ubisoft\Settlers Online)
    if you cannot see AppData folder you will have to go into the folder properties and show all hidden files and folders

    3. Create a sub-folder called "plugins"

    4. Copy the file "pepflashplayer.dll" from your Google Chrome into this new folder
    my copy of pepflashplayer.dll was in C:\Program Files (x86)\Google\Chrome\Application\47.0.2526.106

    5. Edit the file "package.json" in your 'Settlers Online' game folder and change the path to the plugin to: "plugins\\pepflashplayer.dll"
    right click file > open with and select your best text editor. (wordpad if you have none other I strongly suggest Notepad++)
    Opening with notepad forces all the text onto 1 line and is a nightmare to understand.

    6. If there is no path: Please add the following to the list of "chromium-args": --ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=23.0.0.207

    Remember your PEPPERFLASH will probably have a different version number.

    You can find the location and version of it by looking in Chrome://plugins and then click the button top right + Details

    -------------------

    This is the CORRECT tags with CORRECT syntax.

    },
    "chromium-args": "--in-process-gpu --ignore-certificate-errors --ignore-gpu-blacklist --enable-webgl --disable-transparency --disable-device-orientation --always-authorize-plugins --ppapi_placeholder --ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=23.0.0.207",
    "buildDate": "2016-01-08 11:46:00"
    }

    Save files.

    Hope this helps.

    [Information gathered from various sources, Anno forum, and Ubisoft Support.]

    NOTE: the syntax given on the Ubisoft Help page is wrong!
    "chromium-args": --ppapi-flash-path="plugins\\pepflashplayer.dll' --ppapi-flash-version=18.0.0.209 Drop the double quotation before plugins (") and replace with a single thingy ( ').

  3. #3
    Original Serf
    Join Date
    Mar 2014
    Posts
    12
    World
    Sandycove
    Thanks man!

    After my friend helped me, this is what I got. as you can see in the attachment. I don't get it what it means " can't load plug-in"

    it is so frustrating to get it right. would you mind copy the document of the game and share with me, I guess it may helps.
    Attached Images

  4. #4
    Aunt Irma’s Favourite Writer Durin_d's Avatar
    Join Date
    Mar 2012
    Location
    FIN
    Posts
    689
    World
    Northisle
    I don't use the downloaded client myself but I believe you have either the wrong "pepflashplayer.dll" (you need 32bit version) or you have the wrong version number after "--ppapi-flash-version=". You could also get that error if the "pepflashplayer.dll" is not in the correct place.

  5. #5
    Original Serf
    Join Date
    Mar 2014
    Posts
    12
    World
    Sandycove
    this is what it is after edited :

    {
    "name": "The Settlers Online",
    "main": "index.html",
    "window": {
    "title": "The Settlers Online",
    "toolbar": false,
    "frame": true,
    "width": 1400,
    "height": 900,
    "fullscreen": true,
    "icon": "img/icon.png"
    },
    "webkit": {
    "plugin": true
    },
    "chromium-args": "--ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=18.0.0.233 --in-process-gpu --ignore-certificate-errors --ignore-gpu-blacklist --enable-webgl --disable-transparency --disable-device-orientation --always-authorize-plugins --ppapi_placeholder",
    "buildDate": "2016-01-08 11:46:00"

  6. #6
    Original Serf
    Join Date
    Mar 2014
    Posts
    12
    World
    Sandycove
    what should I do now?

  7. #7
    Community Manager
    Ruler of the Land BB_Saqui's Avatar
    Join Date
    Aug 2016
    Posts
    1,686
    World
    Newfoundland
    Quote Originally Posted by iUniverse View Post
    what should I do now?
    Can you tell me what browser you use, as well as your flash plugin version number?

  8. #8
    Aunt Irma’s Favourite Writer Durin_d's Avatar
    Join Date
    Mar 2012
    Location
    FIN
    Posts
    689
    World
    Northisle
    Did you do the steps 2.-4. from CenturionSA's guide? Also the latest version of pepflashplayer.dll is 24.0.0.194 and not 18.0.0.233

    BB_Saqui: you should either get permission from Adobe to distribute the pepflashplayer.dll with the download client or add a update script to it that downloads the plugin from adobe.
    Example like Debian pepperflashplugin-nonfree package does it. (I would post a link but it's not allowed)
    Last edited by Durin_d; 17.01.17 at 17:24.

  9. #9
    Original Serf
    Join Date
    Mar 2014
    Posts
    12
    World
    Sandycove
    yes, I did steps 2-4!

    this is from package in the game folder in drive C

    {
    "name": "The Settlers Online",
    "main": "index.html",
    "window": {
    "title": "The Settlers Online",
    "toolbar": false,
    "frame": true,
    "width": 1400,
    "height": 900,
    "fullscreen": true,
    "icon": "img/icon.png"
    },
    "webkit": {
    "plugin": true
    },
    "chromium-args": "--ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=24.0.0.194 --in-process-gpu --ignore-certificate-errors --ignore-gpu-blacklist --enable-webgl --disable-transparency --disable-device-orientation --always-authorize-plugins --ppapi_placeholder",
    "buildDate": "2016-01-08 11:46:00"
    }

  10. #10
    Aunt Irma’s Favourite Writer Durin_d's Avatar
    Join Date
    Mar 2012
    Location
    FIN
    Posts
    689
    World
    Northisle
    The game should work with that package.json file if you have pepflashplayer.dll file in C:\Users\<username>\AppData\Local\Ubisoft\Settlers Online\plugins folder.

    I don't know if it makes any difference but the example has "--ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=24.0.0.194" at the end like this:
    "chromium-args": "--in-process-gpu --ignore-certificate-errors --ignore-gpu-blacklist --enable-webgl --disable-transparency --disable-device-orientation --always-authorize-plugins --ppapi_placeholder" --ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=24.0.0.194,
    "buildDate": "2016-01-08 11:46:00"

Reply to Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Ubisoft uses cookies to ensure that you get the best experience on our websites. By continuing to use this site you agree to accept these cookies. More info on our privacy.